Skip to main content
curl -X GET 'https://api.goatpay.com.br/v1/pix-automatic/payment-instructions/list?offset=0&limit=10' \
  -H 'X-API-Key: gp_live_SUA_CHAVE'
{
  "success": true,
  "message": "Instruções de pagamento listadas",
  "data": {
    "object": "list",
    "hasMore": false,
    "totalCount": 1,
    "limit": 10,
    "offset": 0,
    "data": [{
    "id": "d1c9c4b2-6a97-4573-9d6d-26bb64f04c28",
    "status": "SCHEDULED",
    "value": 99.9,
    "scheduleDate": "2026-07-01",
    "authorizationId": "a33047b1-fb19-4b68-9373-a7ba8a8162aa",
    "paymentId": "clx_billing",
    "dateCreated": "2026-06-15T10:00:00.000Z"
  }]
  },
  "requestId": "req_abc"
}

Parâmetros de query

offset
number
Índice inicial (padrão 0).
limit
number
Itens por página (máx. 100).
status
string
AWAITING_REQUEST, SCHEDULED, DONE, CANCELLED, REFUSED.
paymentId
string
Filtrar por cobrança vinculada.